Subject: Re: bug#12791: 24.2; An option to load user init file with -batch

From: Juanma Barranquero <[email-masked]>
Date: Sun, 4 Nov 2012 18:17:45 +0100

On Sat, Nov 3, 2012 at 8:54 AM, Leo <[email-masked]> wrote:

> -batch implies -q and I cannot find an option to negate it. For example,
> I want to add some tests to my emacs init files and be able to run
> `ert-run-tests-batch' in batch mode.

Another small difference between runing an interactive emacs and doing
"emacs -batch" and loading your .emacs is that under "emacs -batch" it
is possible that the directory pointed out by user-emacs-directory
does not exist, and locate-user-emacs-file quite deliberately takes
steps not to create it (because otherwise you'll end with .emacs.d/
directories at unexpected places, while bootstrapping,etc.)

    Juanma